GET api/Corporation/GetCorporationhierarchy?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfCorporationhierarchyDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of CorporationhierarchyDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "CorporationCode": "sample string 1",
      "Level1": "sample string 2",
      "Level2": "sample string 3",
      "Level3": "sample string 4",
      "Level4": "sample string 5",
      "Level5": "sample string 6",
      "IsLevel1": true,
      "IsLevel2": true,
      "IsLevel3": true,
      "IsLevel4": true,
      "IsLevel5": true,
      "ValidFlag": true
    },
    {
      "CorporationCode": "sample string 1",
      "Level1": "sample string 2",
      "Level2": "sample string 3",
      "Level3": "sample string 4",
      "Level4": "sample string 5",
      "Level5": "sample string 6",
      "IsLevel1": true,
      "IsLevel2": true,
      "IsLevel3": true,
      "IsLevel4": true,
      "IsLevel5": true,
      "ValidFlag": true
    }
  ],
  "totalCount": 3
}